Panda3D

Public Types | Public Member Functions | Public Attributes | List of all members
DeferredNodeProperty Class Reference

This class keeps track of all the state we must make note of during the graph traversal, but cannot apply immediately. More...

`#include "deferredNodeProperty.h"`

## Public Types
enum | Flags { F_has_from_collide_mask = 0x0001 , F_has_into_collide_mask = 0x0002 }

## Public Member Functions
| DeferredNodeProperty (const DeferredNodeProperty &copy)
void | apply_to_node (PandaNode *node)
| Applies whatever state is appropriate to the node. More...
void | compose (const DeferredNodeProperty &other)
| Composes this state with the next one encountered on a lower node during the apply traversal. More...
void | operator= (const DeferredNodeProperty &copy)

## Public Attributes
int | _flags
CollideMask | _from_collide_mask
CollideMask | _into_collide_mask

## Detailed Description

This class keeps track of all the state we must make note of during the graph traversal, but cannot apply immediately.

An instance of this class may be assigned to nodes as they are created, and then later, after the geometry has been created, the graph will be traversed again and the state will be applied.

This class is only local to this package; it is not exported.

Definition at line 33 of file deferredNodeProperty.h.

## Member Function Documentation

## ◆ apply_to_node()

void DeferredNodeProperty::apply_to_node | ( | PandaNode * | node | ) |

Applies whatever state is appropriate to the node.

Definition at line 69 of file deferredNodeProperty.cxx.

References TypedObject::is_of_type().

## ◆ compose()

void DeferredNodeProperty::compose | ( | const DeferredNodeProperty & | other | ) |

Composes this state with the next one encountered on a lower node during the apply traversal.

Definition at line 53 of file deferredNodeProperty.cxx.

The documentation for this class was generated from the following files:

- panda/src/egg2pg/deferredNodeProperty.h
- panda/src/egg2pg/deferredNodeProperty.cxx